### Constructor

# Camel MimeFilterPreview new

since: 3.52

#### Declaration [src]

    CamelMimeFilter*
    camel_mime_filter_preview_new (
      guint limit
    )

#### Description [src]

Creates a new `CamelMimeFilterPreview` object. It filters passed-in data into a text suitable for a message content preview.

Available since: 3.52

#### Parameters

`limit`

  Type: `guint`

  A limit for the preview length.

#### Return value

Type: `CamelMimeFilter`

A new `CamelMimeFilterPreview` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.